SDL_MAIN_HANDLED(3)

NAME
SDL_MAIN_HANDLED - Inform SDL that the app is providing an entry point instead of SDL.

HEADER FILE
Defined in SDL3/SDL_main.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_MAIN_HANDLED 1

DESCRIPTION
SDL does not define this macro, but will check if it is defined when including SDL_main.h . If defined, SDL will expect the app to provide the proper entry point for the platform, and all the other magic details needed, like manually calling SDL_SetMainReady .

Please see [README/main-functions](README/main-functions), (or docs/README-main-functions.md in the source tree) for a more detailed explanation.

AVAILABILITY
This macro is used by the headers since SDL 3.2.0.